Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface VirtualHostMBean

public interface VirtualHostMBean
extends WebServerMBean

This bean represents the configuration of virtual web server within a weblogic server. Note that a server may define multiple web servers to support virtual hosts.

This MBean represents a virtual host.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.WebServerMBean
`CACHING_STUB_SVUID, DEFAULT_LOG_FILE_NAME, TIME_FORMAT`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String[]` | `getVirtualHostNames()` Returns the host name for which this web server will serve requests.
`void` | `setVirtualHostNames(java.lang.String[] names)` Sets the virtual host name for which this web server will serve requests.

Methods inherited from interface weblogic.management.configuration.WebServerMBean
`getCharsets, getDefaultServerName, getDefaultWebApp, getFrontendHost, getFrontendHTTPPort, getFrontendHTTPSPort, getHttpsKeepAliveSecs, getKeepAliveSecs, getLogFileBufferKBytes, getLogFileCount, getLogFileFlushSecs, getLogFileFormat, getLogFileName, getLogRotationPeriodMins, getLogRotationTimeBegin, getLogRotationType, getLogTimeInGMT, getMaxLogFileSizeKBytes, getMaxPostSize, getMaxPostTimeSecs, getPostTimeoutSecs, getURLResource, getWriteChunkBytes, isAcceptContextPathInGetRealPath, isAuthCookieEnabled, isChunkedTransferDisabled, isClusteringEnabled, isDebugEnabled, isEventsEnabled, isKeepAliveEnabled, isLogFileLimitEnabled, isLoggingEnabled, isSendServerHeaderEnabled, isSingleSignonDisabled, isUseHeaderEncoding, isUseHighestCompatibleHTTPVersion, isWAPEnabled, setAcceptContextPathInGetRealPath, setAuthCookieEnabled, setCharsets, setChunkedTransferDisabled, setClusteringEnabled, setDefaultServerName, setDefaultWebApp, setFrontendHost, setFrontendHTTPPort, setFrontendHTTPSPort, setHttpsKeepAliveSecs, setKeepAliveEnabled, setKeepAliveSecs, setLogFileBufferKBytes, setLogFileCount, setLogFileFlushSecs, setLogFileFormat, setLogFileLimitEnabled, setLogFileName, setLoggingEnabled, setLogRotationPeriodMins, setLogRotationTimeBegin, setLogRotationType, setLogTimeInGMT, setMaxLogFileSizeKBytes, setMaxPostSize, setMaxPostTimeSecs, setPostTimeoutSecs, setSendServerHeaderEnabled, setSingleSignonDisabled, setURLResource, setUseHeaderEncoding, setUseHighestCompatibleHTTPVersion, setWAPEnabled`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getVirtualHostNames

    public java.lang.String[] getVirtualHostNames()

  Returns the host name for which this web server will serve requests.

  A configurable MBean attribute
  Returns:
    The virtualHostNames value

### setVirtualHostNames

    public void setVirtualHostNames(java.lang.String[] names)
                             throws javax.management.InvalidAttributeValueException

  Sets the virtual host name for which this web server will serve requests.

  Legal Value: (value != null) && (value.length > 0)
  Parameters:
    `names` - The new virtualHostNames value
  Throws:
    javax.management.InvalidAttributeValueException -
    java.lang.IllegalArgumentException - if the name is null or if it is not a well-formed partial or fully specified hostname.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD